summaryrefslogtreecommitdiffstats
path: root/source/ap/vim/vim.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/vim/vim.SlackBuild')
-rwxr-xr-xsource/ap/vim/vim.SlackBuild38
1 files changed, 15 insertions, 23 deletions
diff --git a/source/ap/vim/vim.SlackBuild b/source/ap/vim/vim.SlackBuild
index 1ecadaa43..9897abc4a 100755
--- a/source/ap/vim/vim.SlackBuild
+++ b/source/ap/vim/vim.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2013, 2016, 2018, 2019, 2020, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2013, 2016, 2018, 2019, 2020, 2021, 2022, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,17 +23,22 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=vim
-VIMBRANCH=8.2
+VIMBRANCH=9.1
CTAGSVER=5.8
BUILD=${BUILD:-1}
# The possible settings for this are yes/no/dynamic.
PERLINTERP=${PERLINTERP:-dynamic}
+# The possible settings for this are yes/no/dynamic.
+LUAINTERP=${LUAINTERP:-dynamic}
+
if [ -r vim-${VIMBRANCH}*.tar.?z ]; then # if there's a source archive already, use the version number from it:
VERSION=$(echo vim-${VIMBRANCH}*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
else # need to fetch the latest source archive for this branch:
- VERSION="$(echo $(basename $(wget -q -O - https://github.com/vim/vim/releases | grep href.*v${VIMBRANCH} | head -n 1 | cut -f 2 -d \" )) | cut -b2- )"
+ #VERSION="$(wget -q -O - https://www.vim.org | grep "^${VIMBRANCH}" | head -n 1)"
+ # Let's take the version from github instead:
+ VERSION="$(wget -q -O - https://github.com/vim/vim/tags | grep v${VIMBRANCH} | head -n 1 | sed "s/^.*v${VIMBRANCH}/v${VIMBRANCH}/" | cut -f 1 -d '<' | tr -d v)"
( lftpget https://github.com/vim/vim/archive/v${VERSION}.tar.gz
gzip -d v${VERSION}.tar.gz
mv v${VERSION}.tar vim-${VERSION}.tar
@@ -70,8 +75,6 @@ fi
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
-PYVER=$(python -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
-
if [ "$ARCH" = "x86_64" ]; then
export SLKCFLAGS="-O2 -fPIC"
export LIBDIRSUFFIX="64"
@@ -99,6 +102,10 @@ find . \
-exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+
+# patch to solve an issue introduced by glibc-2.34 from http://deb.debian.org/debian/pool/main/e/exuberant-ctags/exuberant-ctags_5.9~svn20110310-15.debian.tar.xz
+zcat $CWD/ctags.use-conventional-unused-marker.patch.gz | patch -Esp1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" LDFLAGS="$SLKLDFLAGS" \
./configure \
--prefix=/usr \
@@ -124,10 +131,9 @@ CFLAGS="$SLKCFLAGS" \
./configure \
$* \
--prefix=/usr \
- --with-python-config-dir=/usr/lib${LIBDIRSUFFIX}/python$PYVER/config \
- --with-python3-config-dir=$(python3-config --configdir) \
+ --enable-luainterp=$LUAINTERP \
--enable-perlinterp=$PERLINTERP \
- --enable-pythoninterp=dynamic \
+ --enable-pythoninterp=no \
--enable-python3interp=dynamic \
--enable-rubyinterp${RUBYDYNAMIC} \
--enable-tclinterp=dynamic \
@@ -212,22 +218,8 @@ find $PKG/usr/doc/vim-$VERSION -type f | xargs chmod 644
( cd $PKG/usr/doc/vim-$VERSION ; ln -sf /usr/share/vim/vim$(echo $VIMBRANCH | tr -d .) doc )
mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cat $CWD/slack-desc.vim > $PKG/install/slack-desc
-cat << EOF > $PKG/install/doinst.sh
-#!/bin/bash
-config() {
- NEW="\$1"
- OLD="\$(dirname \$NEW)/\$(basename \$NEW .new)"
- # If there's no config file by that name, mv it over:
- if [ ! -r \$OLD ]; then
- mv \$NEW \$OLD
- elif [ "\$(cat \$OLD | md5sum)" = "\$(cat \$NEW | md5sum)" ]; then # toss the redundant copy
- rm \$NEW
- fi
- # Otherwise, we leave the .new copy for the admin to consider...
-}
-config usr/share/vim/vimrc.new
-EOF
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null